### Function

# Handy ComboRowGetNameFunc

since: 1.0

#### Declaration

    gchar*
    (* HdyComboRowGetNameFunc) (
      GObject* item,
      gpointer user_data
    )

#### Description [src]

Callback for getting the name of a row.

Called for combo rows that are bound to a `GListModel` with `hdy_combo_row_bind_name_model()` for each item that gets added to the model.

Available since: 1.0

#### Parameters

`item`

  Type: `GObject`

  The item from the model from which to get a name.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

A displayable name that represents `item`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.